Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class LaunchSpecification

    java.lang.Object
      com.amazonaws.services.ec2.model.LaunchSpecification

    public class LaunchSpecification

extends Object

The LaunchSpecificationType data type.

Constructor Summary
`LaunchSpecification()`

Method Summary
`String` | `getAddressingType()` Deprecated.
`List<BlockDeviceMapping>` | `getBlockDeviceMappings()` Specifies how block devices are exposed to the instance.
`String` | `getImageId()` The AMI ID.
`String` | `getInstanceType()` Specifies the instance type.
`String` | `getKernelId()` Specifies the ID of the kernel to select.
`String` | `getKeyName()` The name of the key pair.
`Boolean` | `getMonitoringEnabled()`
`Placement` | `getPlacement()` Defines a placement item.
`String` | `getRamdiskId()` Specifies the ID of the RAM disk to select.
`List<String>` | `getSecurityGroups()`
`String` | `getSubnetId()` Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.
`String` | `getUserData()` Optional data, specific to a user's application, to provide in the launch request.
`Boolean` | `isMonitoringEnabled()`
`void` | `setAddressingType(String addressingType)` Deprecated.
`void` | `setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`void` | `setImageId(String imageId)` The AMI ID.
`void` | `setInstanceType(String instanceType)` Specifies the instance type.
`void` | `setKernelId(String kernelId)` Specifies the ID of the kernel to select.
`void` | `setKeyName(String keyName)` The name of the key pair.
`void` | `setMonitoringEnabled(Boolean monitoringEnabled)`
`void` | `setPlacement(Placement placement)` Defines a placement item.
`void` | `setRamdiskId(String ramdiskId)` Specifies the ID of the RAM disk to select.
`void` | `setSecurityGroups(Collection<String> securityGroups)`
`void` | `setSubnetId(String subnetId)` Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.
`void` | `setUserData(String userData)` Optional data, specific to a user's application, to provide in the launch request.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`LaunchSpecification` | `withAddressingType(String addressingType)` Deprecated.
`LaunchSpecification` | `withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`LaunchSpecification` | `withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`LaunchSpecification` | `withImageId(String imageId)` The AMI ID.
`LaunchSpecification` | `withInstanceType(String instanceType)` Specifies the instance type.
`LaunchSpecification` | `withKernelId(String kernelId)` Specifies the ID of the kernel to select.
`LaunchSpecification` | `withKeyName(String keyName)` The name of the key pair.
`LaunchSpecification` | `withMonitoringEnabled(Boolean monitoringEnabled)` Returns a reference to this object so that method calls can be chained together.
`LaunchSpecification` | `withPlacement(Placement placement)` Defines a placement item.
`LaunchSpecification` | `withRamdiskId(String ramdiskId)` Specifies the ID of the RAM disk to select.
`LaunchSpecification` | `withSecurityGroups(Collection<String> securityGroups)` Returns a reference to this object so that method calls can be chained together.
`LaunchSpecification` | `withSecurityGroups(String... securityGroups)` Returns a reference to this object so that method calls can be chained together.
`LaunchSpecification` | `withSubnetId(String subnetId)` Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.
`LaunchSpecification` | `withUserData(String userData)` Optional data, specific to a user's application, to provide in the launch request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LaunchSpecification

    public LaunchSpecification()

Method Detail

### getImageId

    public String getImageId()

  The AMI ID.

  Returns:
    The AMI ID.

### setImageId

    public void setImageId(String imageId)

  The AMI ID.

  Parameters:
    `imageId` - The AMI ID.

### withImageId

    public LaunchSpecification withImageId(String imageId)

  The AMI ID.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageId` - The AMI ID.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeyName

    public String getKeyName()

  The name of the key pair.

  Returns:
    The name of the key pair.

### setKeyName

    public void setKeyName(String keyName)

  The name of the key pair.

  Parameters:
    `keyName` - The name of the key pair.

### withKeyName

    public LaunchSpecification withKeyName(String keyName)

  The name of the key pair.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyName` - The name of the key pair.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSecurityGroups

    public List<String> getSecurityGroups()

  Returns:

### setSecurityGroups

    public void setSecurityGroups(Collection<String> securityGroups)

  Parameters:
    `securityGroups` -

### withSecurityGroups

    public LaunchSpecification withSecurityGroups(String... securityGroups)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSecurityGroups

    public LaunchSpecification withSecurityGroups(Collection<String> securityGroups)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUserData

    public String getUserData()

  Optional data, specific to a user's application, to provide in the launch request. All instances that collectively comprise the launch request have access to this data. User data is never returned through API responses.

  Returns:
    Optional data, specific to a user's application, to provide in the launch request. All instances that collectively comprise the launch request have access to this data. User data is never returned through API responses.

### setUserData

    public void setUserData(String userData)

  Optional data, specific to a user's application, to provide in the launch request. All instances that collectively comprise the launch request have access to this data. User data is never returned through API responses.

  Parameters:
    `userData` - Optional data, specific to a user's application, to provide in the launch request. All instances that collectively comprise the launch request have access to this data. User data is never returned through API responses.

### withUserData

    public LaunchSpecification withUserData(String userData)

  Optional data, specific to a user's application, to provide in the launch request. All instances that collectively comprise the launch request have access to this data. User data is never returned through API responses.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `userData` - Optional data, specific to a user's application, to provide in the launch request. All instances that collectively comprise the launch request have access to this data. User data is never returned through API responses.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAddressingType

    public String getAddressingType()

  Deprecated.

  Returns:
    Deprecated.

### setAddressingType

    public void setAddressingType(String addressingType)

  Deprecated.

  Parameters:
    `addressingType` - Deprecated.

### withAddressingType

    public LaunchSpecification withAddressingType(String addressingType)

  Deprecated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `addressingType` - Deprecated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceType

    public String getInstanceType()

  Specifies the instance type.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Returns:
    Specifies the instance type.
  See Also:
    `InstanceType`

### setInstanceType

    public void setInstanceType(String instanceType)

  Specifies the instance type.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - Specifies the instance type.
  See Also:
    `InstanceType`

### withInstanceType

    public LaunchSpecification withInstanceType(String instanceType)

  Specifies the instance type.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - Specifies the instance type.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `InstanceType`

### getPlacement

    public Placement getPlacement()

  Defines a placement item.

  Returns:
    Defines a placement item.

### setPlacement

    public void setPlacement(Placement placement)

  Defines a placement item.

  Parameters:
    `placement` - Defines a placement item.

### withPlacement

    public LaunchSpecification withPlacement(Placement placement)

  Defines a placement item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `placement` - Defines a placement item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKernelId

    public String getKernelId()

  Specifies the ID of the kernel to select.

  Returns:
    Specifies the ID of the kernel to select.

### setKernelId

    public void setKernelId(String kernelId)

  Specifies the ID of the kernel to select.

  Parameters:
    `kernelId` - Specifies the ID of the kernel to select.

### withKernelId

    public LaunchSpecification withKernelId(String kernelId)

  Specifies the ID of the kernel to select.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `kernelId` - Specifies the ID of the kernel to select.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRamdiskId

    public String getRamdiskId()

  Specifies the ID of the RAM disk to select. Some kernels require additional drivers at launch. Check the kernel requirements for information on whether or not you need to specify a RAM disk and search for the kernel ID.

  Returns:
    Specifies the ID of the RAM disk to select. Some kernels require additional drivers at launch. Check the kernel requirements for information on whether or not you need to specify a RAM disk and search for the kernel ID.

### setRamdiskId

    public void setRamdiskId(String ramdiskId)

  Specifies the ID of the RAM disk to select. Some kernels require additional drivers at launch. Check the kernel requirements for information on whether or not you need to specify a RAM disk and search for the kernel ID.

  Parameters:
    `ramdiskId` - Specifies the ID of the RAM disk to select. Some kernels require additional drivers at launch. Check the kernel requirements for information on whether or not you need to specify a RAM disk and search for the kernel ID.

### withRamdiskId

    public LaunchSpecification withRamdiskId(String ramdiskId)

  Specifies the ID of the RAM disk to select. Some kernels require additional drivers at launch. Check the kernel requirements for information on whether or not you need to specify a RAM disk and search for the kernel ID.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ramdiskId` - Specifies the ID of the RAM disk to select. Some kernels require additional drivers at launch. Check the kernel requirements for information on whether or not you need to specify a RAM disk and search for the kernel ID.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBlockDeviceMappings

    public List<BlockDeviceMapping> getBlockDeviceMappings()

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Returns:
    Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

### setBlockDeviceMappings

    public void setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

### withBlockDeviceMappings

    public LaunchSpecification withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBlockDeviceMappings

    public LaunchSpecification withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMonitoringEnabled

    public Boolean isMonitoringEnabled()

  Returns:

### setMonitoringEnabled

    public void setMonitoringEnabled(Boolean monitoringEnabled)

  Parameters:
    `monitoringEnabled` -

### withMonitoringEnabled

    public LaunchSpecification withMonitoringEnabled(Boolean monitoringEnabled)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `monitoringEnabled` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMonitoringEnabled

    public Boolean getMonitoringEnabled()

  Returns:

### getSubnetId

    public String getSubnetId()

  Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.

  Returns:
    Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.

### setSubnetId

    public void setSubnetId(String subnetId)

  Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.

  Parameters:
    `subnetId` - Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.

### withSubnetId

    public LaunchSpecification withSubnetId(String subnetId)

  Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnetId` - Specifies the Amazon VPC subnet ID within which to launch the instance(s) for Amazon Virtual Private Cloud.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.